﻿$ErrorActionPreference = 'Stop';

$packageName    = 'unity-ios'
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://download.unity3d.com/download_unity/9674261d40ee/TargetSupportInstaller/UnitySetup-iOS-Support-for-Editor-2022.3.5f1.exe'
$checksum64     = 'a47f1db31c0ae8c3aed8a84076ba8449a3ba2a216e10d462b4ec8083c6d24213'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
